Class BackupsImpl

java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.BackupsImpl
All Implemented Interfaces:
Backups

public class BackupsImpl extends Object implements Backups
Author:
ianjones
  • Constructor Details

    • BackupsImpl

      public BackupsImpl()
  • Method Details

    • list

      public PaginatedList<Backup> list(String deviceUuid)
      Description copied from interface: Backups
      Lists available backups for the provided deviceUuid.
      Specified by:
      list in interface Backups
      Parameters:
      deviceUuid - the unique device identifier.
      Returns:
      PaginatedList
    • list

      public PaginatedList<Backup> list(String deviceUuid, RequestBuilder.Backup requestBuilder)
      Lists available backups for the provided deviceUuid and desired query parameters.
      Specified by:
      list in interface Backups
      Parameters:
      deviceUuid - the unique device identifier.
      requestBuilder - the desired query parameters.
      Returns:
      PaginatedList
    • getByUuid

      public Backup getByUuid(String uuid)
      Description copied from interface: Backups
      Gets the specified backup.
      Specified by:
      getByUuid in interface Backups
      Parameters:
      uuid - the unique identifier of the backup.
      Returns:
      Backup
    • download

      public String download(String uuid)
      Description copied from interface: Backups
      Gets the contents of the specified backup.
      Specified by:
      download in interface Backups
      Parameters:
      uuid - the unique identifier of the backup.
      Returns:
      String
    • checkRestoreFeasibility

      public RestoreFeasibility checkRestoreFeasibility(String uuid, String deviceUuid)
      Description copied from interface: Backups
      Gets the information as to the feasibility of a specific restore operation.
      Specified by:
      checkRestoreFeasibility in interface Backups
      Parameters:
      uuid - the unique identifier of the backup.
      deviceUuid - the unique identifier of the device.
      Returns:
      RestoreFeasibility
    • define

      public BackupOperator.BackupBuilder define(String deviceUuid, String backupName)
      Description copied from interface: Backups
      Returns an instance of BackupBuilder for defining a new backup.
      Specified by:
      define in interface Backups
      Parameters:
      deviceUuid - the unique identifier of the device.
      backupName - the name of the new backup.
      Returns:
      BackupOperator.BackupBuilder